Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis.interpolation
Class SmoothingBicubicSplineInterpolator

    java.lang.Object
      org.apache.commons.math.analysis.interpolation.SmoothingBicubicSplineInterpolator

All Implemented Interfaces:
  BivariateRealGridInterpolator

Deprecated. This class does not perform smoothing; the name is thus misleading. Please use `BicubicSplineInterpolator` instead. If smoothing is desired, a tentative implementation is provided in class `SmoothingPolynomialBicubicSplineInterpolator`. This class will be removed in math 3.0.

    @Deprecated
    public class SmoothingBicubicSplineInterpolator

extends Object
implements BivariateRealGridInterpolator

Generates a bicubic interpolation function. Before interpolating, smoothing of the input data is performed using splines. See Handbook on splines for the user, ISBN 084939404X, chapter 2.

Since:
  2.1
Version:
  $Revision: 1059400 $ $Date: 2011-01-15 20:35:27 +0100 (sam. 15 janv. 2011) $

Constructor Summary
`SmoothingBicubicSplineInterpolator()` Deprecated.

Method Summary
`BivariateRealFunction` | `interpolate(double[] xval, double[] yval, double[][] zval)` Deprecated. Computes an interpolating function for the data set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmoothingBicubicSplineInterpolator

    public SmoothingBicubicSplineInterpolator()

  Deprecated.

Method Detail

### interpolate

    public BivariateRealFunction interpolate(double[] xval,
                                             double[] yval,
                                             double[][] zval)
                                      throws MathException,
                                             IllegalArgumentException

  Deprecated.
  Computes an interpolating function for the data set.

  Specified by:
    `interpolate` in interface `BivariateRealGridInterpolator`
  Parameters:
    `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
    `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
    `zval` - The values of the interpolation points on all the grid knots: `fval[i][j] = f(xval[i], yval[j])`.
  Returns:
    a function which interpolates the data set.
  Throws:
    `MathException` - if arguments violate assumptions made by the interpolation algorithm.
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.